Page MenuHomePhabricator

Upload a large file to Commons
Closed, ResolvedPublic

Description

Please upload the files from http://unilib-nikola.duckdns.org/~nikola/neshs/neshs.tar to Wikimedia Commons.

Related Objects

Event Timeline

Nikola_Smolenski raised the priority of this task from to Needs Triage.
Nikola_Smolenski updated the task description. (Show Details)
Nikola_Smolenski added a subscriber: Nikola_Smolenski.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2015, 7:10 PM
Glaisher renamed this task from Commons upload to Upload a large file to Commons.Jun 20 2015, 9:15 AM
Glaisher set Security to None.

Note that you can also upload files yourself with a size up to one Gigabyte with Upload Wizard and chunked uploading: https://commons.wikimedia.org/wiki/Help:Server-side_upload

I was going by T91053 where it was recommended that all the files are in a single archive, and that maximal upload size is 250MB.

tomasz triaged this task as Low priority.Jun 20 2015, 11:53 AM
tomasz added a subscriber: hoo.
tomasz added a subscriber: tomasz.

CC-ing @hoo, the Master of Server-Side Upload.

hoo claimed this task.Jun 20 2015, 12:30 PM

Started downloading the file, but don't have the time to do the upload now. Will do that later today (hopefully).

hoo added a comment.Jun 21 2015, 1:09 AM

I've uploaded two of the files, but aborted the script then because I apparently didn't call it with --comment-ext. I'll continue the uploads tomorrow (but not now, as one of the files is locked as I aborted the script, thus I can't start another attempt to upload it immediately).

hoo closed this task as Resolved.Jun 21 2015, 2:47 PM

Finished the upload now.

I was going by T91053 where it was recommended that all the files are in a single archive, and that maximal upload size is 250MB.

The file format was fine this time, yes. I can't say anything regarding the max. file size that one can actually upload, but I know that several people struggle with files well below 1GiB.

Thank you @hoo for the quick upload :)